slrnpull(1)

NAME
slrnpull - Pull a small newsfeed for offline reading.

SYNOPSIS
slrnpull [-d spooldir] [-h server] [--debug file] [--expire] [--fetch-score n] [--help] [--kill-log file] [--kill-score n] [--logfile file] [--marked-bodies] [--new-groups] [--no-post] [--post] [--post-only] [--rebuild] [--version]

DESCRIPTION
slrnpull pulls a small newsfeed from an NNTP server. It puts the articles into a spool directory from which slrn can later read them, even if the server is unreachable at that time. Typically, this is useful if you do not have a permanent network connection.

OPTIONS

The following options can be used when calling slrnpull from the command line.

-d spooldir
    Set slrnpull's root directory for this run to spooldir, overriding the $SLRNPULL_ROOT environment variable.

-h host[:port]
    Connect to the NNTP server on host, overriding the $NNTPSERVER environment variable. If no port is given, the default NNTP port (119) will be used.

--debug file
    Write dialogue with the server and some additional debugging output to file.

--expire
    Expire (remove) old messages from the spool, but do not fetch news.

--fetch-score n
    Fetch article bodies with a score of at least n automatically (in true offline mode, the default is to fetch only bodies that were explicitly marked by the user).

--help
    Show help for command line switches.

--kill-log file
    Keep a log of all articles that were killed by the scorefile in file. By default, no such logfile is created.

--kill-score n
    Kill all articles with a score below n. The default value for this is 0.

--logfile file
    Log the messages and errors that slrnpull prints to the screen to file. By default, they get written to the file log in slrnpull's root directory.

--marked-bodies
    Only fetch bodies that were marked for download within slrn.

--new-groups
    Check for new groups, appending them to the file new.groups in the data directory.

--no-post
    Do not post any articles to the server.

--post
    Obsolete version of --post-only.

--post-only
    Post outgoing articles, but do not fetch news.

--rebuild
    Like --expire, but also rebuild the overview information. To be used when the overview information is damaged.

--version
    Print the version number.

ENVIRONMENT
slrnpull reads the following environment variables. Note that they can be overridden by command line switches.

NNTPSERVER
    You can use this variable to tell slrnpull which NNTP server to connect to. It can be overridden by the command line option -h.

SLRNPULL_ROOT
    Defines the directory where slrnpull will look for its configuration files and spool the articles. An absolute filename is needed here. This can be overriden by the option -d.

FILES

$SLRNPULL_ROOT/authinfo
    If the server requires authentication, this file needs to contain the data (username in the first line, password in the second). Be careful not to make this file world-readable!

$SLRNPULL_ROOT/log
    The default file to log status and error messages to.

$SLRNPULL_ROOT/score
    If you want slrnpull to apply scoring rules to decide which articles to download, put them into this file.

$SLRNPULL_ROOT/slrnpull.conf
    The main configuration file. It tells slrnpull how many articles to get from which groups and when to expire them.

SEE ALSO
The documentation that comes with slrnpull, especially README and SETUP. The FAQ of slrn also answers some questions about slrnpull. You might also want to look at slrn's official home page, http://slrn.sourceforge.net/ or post to news.software.readers if you have a question not covered by existing documentation. The latest version of slrnpull is part of the slrn package available from http://prdownloads.sourceforge.net/slrn/

AUTHOR
John E. Davis <davis@space.mit.edu> Please send any bug reports to the current maintainer, Thomas Schultz <tststs@gmx.de>